version: '2'

services:

    jenkins:
        image: jenkinsci/workflow-demo
        ports:
            - 2222:2222
            - 80:8080
            - 8181:8181
        volumes:
            - ../:/application